# importer fra birkutil

''' 
Testfunksjoner inneholder:
	- expected: det du forventer av funksjonen skal returnere
	- computed: det som returneres når du kaller på funksjonen du tester
	- assert
	- assert skal brukes for HVERT case dere skal teste. 
	- husk å bruke toleranse på float. Dette er fordi float ikke er helt presis når du sjekker siffer langt nok bak komma

Testfunksjoner er STILLE når alt er ok, mens det kommer AssertionError når noe er galt.
De skal ikke ta inn parametere, og skal ikke printe ut noe.
Hver funksjon skal bare ha én testfunksjon. Du skal likevel teste flere tilfeller i funksjonene. Dette betyr at du skal bruke assert for
hvert tilfelle du tester, i samme funksjon.

En god testfunksjon gjør følgende:
	- tester nøye for flere tilfeller
	- tester element i lister separat, altså ingen "computed_liste == expected_liste"
	- gir feilmelding på HVILKEN FUNKSJON som ikke passerte testen, og hvilket "case" som ikke passerte
'''

def test_newton_solve():
	'''
	tester:
		- case 1: x0 = -1, expected = -2
		- case 2: x0 = 1, expected = 2
	
	case 3: x0 = 0. Assert if function casts ValueError when it should.
	Denne har vi forståelse for at mange synes er vanskelig, og det gis derfor et lite løsningsforlag under.
	Her skal du sjekke at det oppstår ValueError, uten at programmet ditt krasjer.
	Sørg for at du forstår hvorfor kodesnutten fungerer, dette kan du bli spurt om.
	'''
	success = False								# default is false
	try:
		x = newton_solve(f, df, 0)				# calls on function that is being tested.		
	except ValueError:
		success = True							# if calling on the function caused a VauleError, success will be redefined to True
	# if the call did not did not cast ValueError, success will not be changed, thus it will not pass assert
	assert success, "newton_solve does not cast ValueError when expected"

def test_finn_konsentrasjon():
	''' Expected for begge reservoar finner du i oppgaveteksten. Her skal det altså gjøres to tester i samme funksjon.
	Obs! Husk at K_HCa er forskjellig for A og B
	'''

def test_read_file():
	'''
	- Se tips om dictionaries i birkutil.py
	- expected ER et dictionary, fordi det er dette read_file skal returnere.
	- Se tips om dictionaries i birkutil.py
	- assert kan fint brukes i en løkke
	'''


# kall på alle tre testfunksjoner.